var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __objRest = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};

// components/core/Button.tsx
import React from "react";
import { Button as BootstrapButton } from "react-bootstrap";
function _extends() {
  _extends = Object.assign || function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
__name(_extends, "_extends");
var Button = /* @__PURE__ */ __name((props) => /* @__PURE__ */ React.createElement(BootstrapButton, _extends({}, props)), "Button");

// components/core/TooltipTrigger.tsx
import React2 from "react";
import { Tooltip, OverlayTrigger } from "react-bootstrap";
function _extends2() {
  _extends2 = Object.assign || function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends2.apply(this, arguments);
}
__name(_extends2, "_extends");
var TooltipTrigger = /* @__PURE__ */ __name((_a) => {
  var _b = _a, { children, trigger, placement = "top" } = _b, rest = __objRest(_b, ["children", "trigger", "placement"]);
  const tooltip = /* @__PURE__ */ React2.createElement(Tooltip, {
    id: "tooltip"
  }, children);
  return /* @__PURE__ */ React2.createElement(OverlayTrigger, _extends2({
    placement
  }, rest, {
    overlay: tooltip
  }), trigger);
}, "TooltipTrigger");

// components/VulcanComponents/bootstrapVulcanComponents.ts
var bootstrapCoreComponents = {
  Button,
  TooltipTrigger
};
var bootstrapFormComponents = {};
var bootstrapVulcanComponents = __spreadValues(__spreadValues({}, bootstrapCoreComponents), bootstrapFormComponents);
export {
  bootstrapVulcanComponents
};
//# sourceMappingURL=index.js.map